#! /bin/bash

set -e

. ./pika-build-config.sh

echo "$PIKA_BUILD_ARCH" > pika-build-arch

VERSION="0.6.2"

# Clone Upstream
git clone --recurse-submodules https://github.com/hyprwm/hyprlock -b v0.6.2
cp -rvf ./debian ./hyprlock/
cd ./hyprlock

# Get build deps
LOGNAME=root dh_make --createorig -y -l -p hyprlock_"$VERSION" || echo "dh-make: Ignoring Last Error"
apt-get build-dep ./ -y

# Build package
dpkg-buildpackage --no-sign

# Move the debs to output
cd ../
mkdir -p ./output
mv ./*.deb ./output/
